Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.util.datatypes
Class BiasedFloatRange

    java.lang.Object
      toxi.util.datatypes.FloatRange
          toxi.util.datatypes.BiasedFloatRange

    public class BiasedFloatRange

extends FloatRange

Field Summary

Fields inherited from class toxi.util.datatypes.FloatRange
`currValue, max, min`

Constructor Summary
`BiasedFloatRange()`
`BiasedFloatRange(float min, float max, float bias, float sd)`

Method Summary
`BiasedFloatRange` | `copy()`
`float` | `getBias()`
`float` | `getStandardDeviation()`
`float` | `pickRandom()`
`void` | `setBias(float bias)`
`void` | `setStandardDeviation(float sd)`
`java.lang.String` | `toString()`

Methods inherited from class toxi.util.datatypes.FloatRange
`adjustCurrentBy, fromSamples, getCurrent, getMedian, isValueInRange, seed, setCurrent, setRandom, toArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BiasedFloatRange

    public BiasedFloatRange()

### BiasedFloatRange

    public BiasedFloatRange(float min,
                            float max,
                            float bias,
                            float sd)

Parameters:
  `min` - min value (inclusive)
  `max` - max value (inclusive)
  `bias` - bias value (can be outside the min/max range, but values will be clipped)
  `sd` - standard deviation (if bias at range mean sd=1.0, the entire range will be covered)

Method Detail

### copy

    public BiasedFloatRange copy()

  Overrides:
    `copy` in class `FloatRange`

### getBias

    public float getBias()

  Returns:
    the bias

### getStandardDeviation

    public float getStandardDeviation()

  Returns:
    the standardDeviation

### pickRandom

    public float pickRandom()

  Overrides:
    `pickRandom` in class `FloatRange`

### setBias

    public void setBias(float bias)

  Parameters:
    `bias` - the bias to set

### setStandardDeviation

    public void setStandardDeviation(float sd)

  Parameters:
    `sd` - the standardDeviation to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FloatRange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD